package _VisualDVM.Passes;
import Common.Passes.PassCode_;
public enum PassCode implements PassCode_ {
    UpdateProperty,
    UpdateSapforProperty,
    ShowAllParallelVariants,
    ShowParallelVariantsCoverage,
    SetDefaultSapforProfile,
    //-
    DeleteServerSapfor,
    SaveProfile,
    ApplyProfile,
    EditProfile,
    DeleteProfile,
    //-
    CheckAccount,
    //----
    SetSelectedFilesLanguage,
    SetSelectedFilesStyle,
    SetSelectedFilesType,
    DeleteSelectedFiles,
    //----
    DropFastAccess,
    DropLastProjects,
    //-
    OpenCurrentProject,
    CloseCurrentProject,
    DropAnalyses,
    CleanAnalyses,
    DeleteLonelyM,
    DeleteSubversions,
    DeleteDebugResults,
    ResetCurrentProject,
    CreateEmptyProject,
    DeleteVersion,
    //-
    OpenCurrentFile,
    CloseCurrentFile,
    Save,
    //-
    AddFile,
    RenameFile,
    IncludeFile,
    ExcludeFile,
    DeleteFile,
    ImportFiles,
    //-
    CreateEmptyDirectory,
    RenameDirectory,
    DeleteDirectory,
    //-
    SPF_ParseFilesWithOrder,
    SPF_GetIncludeDependencies,
    SPF_GetFileLineInfo,
    SPF_GetGraphLoops,
    SPF_GetGraphFunctions,
    SPF_GetGraphFunctionPositions,
    SPF_GetAllDeclaratedArrays,
    SPF_GetArrayDistributionOnlyAnalysis,
    SPF_GetArrayDistribution,
    //-
    SPF_CorrectCodeStylePass,
    SPF_CreateIntervalsTree,
    SPF_RemoveDvmDirectives,
    SPF_RemoveDvmDirectivesToComments,
    SPF_RemoveUnusedFunctions,
    SPF_ResolveParallelRegionConflicts,
    SPF_LoopEndDoConverterPass,
    SPF_LoopFission,
    SPF_LoopUnion,
    SPF_PrivateShrinking,
    SPF_PrivateExpansion,
    SPF_RemoveDvmIntervals,
    SPF_DuplicateFunctionChains,
    SPF_ConvertStructures,
    SPF_CreateCheckpoints,
    SPF_InitDeclsWithZero,
    //-
    SPF_LoopUnionCurrent,
    SPF_ChangeSpfIntervals,
    SPF_ExpressionSubstitution,
    SPF_InsertDvmhRegions,
    SPF_StatisticAnalyzer,
    //- Проводнике
    CombineFiles,
    EraseBadSymbols,
    CopyProject,
    //-
    GenerateParallelVariants,
    PredictParallelVariants,
    SPF_PredictParallelVariant,
    CreateParallelVariants,
    SPF_CreateParallelVariant,
    SPF_InlineProceduresH,
    SPF_InlineProcedures,
    SPF_InsertIncludesPass,
    SPF_InlineProcedure,
    SPF_ModifyArrayDistribution,
    SPF_GetGCovInfo,
    SPF_GetArrayDistributionOnlyRegions,
    SPF_LoopUnrolling,
    SPF_ResolveCommonBlockConflicts,
    SPF_SharedMemoryParallelization,
    SPF_RemoveOmpDirectives,
    SPF_RenameIncludes,
    SPF_RemoveDistArraysFromIO,
    //
    RestoreSavedArrays,
    MassSelectArrays,
    DropSavedArrays,
    //-
    SynchronizeBugReports,
    ZipFolderPass,
    UnzipFolderPass,
    AddBugReport,
    DeleteBugReport,
    DeleteBugReportFromServer,
    PublishBugReport,
    DeleteDownloadedBugReports,
    ExtractRecipients,
    Email,
    //-
    GetComponentsActualVersions,
    PublishComponent,
    CreateComponentBackUp,
    InstallComponentFromFolder,
    ResurrectComponent,
    ResurrectComponentFromServer,
    DownloadComponent,
    ShowComponentChangesLog,
    UpdateComponent,
    BuildComponent,
    DownloadSapforRepository,
    DownloadDvmTestsRepository,
    SaveGraph,
    ApplyBugReportSettings,
    DownloadBugReport,
    UpdateBugReportField,
    AppendBugReportField,
    GetComponentsBackupsFromServer,
    //-
    AddMachine,
    EditMachine,
    DeleteMachine,
    //-
    AddUser,
    EditUser,
    DeleteUser,
    //-
    AddCompiler,
    EditCompiler,
    DeleteCompiler,
    ShowCompilerHelp,
    //-
    AddMakefile,
    EditMakefile,
    DeleteMakefile,
    //-
    EditModule,
    //-
    AddRunConfiguration,
    EditRunConfiguration,
    DeleteRunConfiguration,
    //-
    AddEnvironmentValue,
    EditEnvironmentValue,
    DeleteEnvironmentValue,
    //-
    ShowMakefilePreview,
    //-
    InitialiseUser,
    DownloadProject,
    //-
    SelectRemoteFile,
    Compile,
    Run,
    RemoteCompilation,
    ServerRun,
    MVSRun,
    //-
    LinuxLocalCompilation,
    LinuxLocalRun,
    //-
    EditProjectCompilationMaxtime,
    EditProjectRunMaxtime,
    //-
    OpenBugReportTestProject,
    OpenBugReport,
    CloseBugReport,
    UpdateBugReportProgress,
    SaveBugReportDescription,
    SaveBugReportComment,
    AppendBugReportDescription,
    AppendBugReportComment,
    SaveBugReportRecipients,
    SaveBugReportExecutor,
    //-
    EditTest,
    //-
    EditGroup,
    PublishGroup,
    DeleteGroup,
    //-
    DownloadAllBugReportsArchives,
    ShowInstruction,
    //-
    ArchivesBackupPass,
    PublishTest,
    DownloadTest,
    SynchronizeTests,
    //-
    MakeScreenShot,
    RemoteInitialiseUser,
    LocalInitaliseUser,
    RemoteSingleCommand,
    LocalSingleCommand,
    //-
    WindowsLocalCompilation,
    WindowsLocalRun,
    PickCompilerOptions,
    PickCompilerEnvironments,
    //-
    DeleteCompilationTasks,
    DeleteRunTasks,
    AddDVMParameter,
    EditDVMParameter,
    DeleteDVMParameter,
    //-
    SPF_GetArrayLinks,
    Precompilation,
    GCOV,
    ConvertCorrectnessTests,
    ShowCompilerVersion,
    //-
    PickCompilerEnvironmentsForTesting,
    AddDVMParameterForTesting,
    //-
    RefreshDVMTests,
    //-
    SPF_GetMaxMinBlockDistribution,
    //-
    PublishConfiguration,
    EditConfiguration,
    //-
    DownloadTaskTest,
    //-
    ApplyCurrentFunction,
    //->
    CheckRemoteWorkspace,
    PublishRemoteWorkspace,
    DeleteRemoteWorkspace,
    //->
    PrepareForModulesAssembly,
    //->
    DVMConvertProject,
    //->
    UpdateSelectedComponents,
    SPF_PrivateRemoving,
    //->
    OpenProject,
    CloseProject,
    //->
    SaveFunctionsGraphCoordinates,
    DeleteSelectedVersions,
    CreateTestsGroupFromSelectedVersions,
    ExcludeSelectedFiles,
    IncludeSelectedFiles,
    //--
    PublishSapforConfiguration,
    EditSapforConfiguration,
    DeleteSapforConfiguration,
    //-
    OpenSapforEtalonVersion,
    OpenSapforVersion,
    PublishServerSapfor,
    DeleteTest,
    DeleteConfiguration,
    //--
    CreateGroupFromDirectory,
    CreateTestFromDirectory,
    CreateTestFromSelectedFiles, //NEW
    CreateTestFromProject,
    SPF_RemoveComments,
    CreateTestFromFile,
    CreateTestsFromFiles,
    CreateGroupFromFiles,
    ExportDVMPackageToExcel,
    //->
    ActualizeDVMPackages,
    ActualizeSapforPackages,
    ActualizePackages,
    //->
    DeleteDVMPackage,
    AbortDVMPackage,
    //->
    DeleteSapforPackage,
    AbortSapforPackage,
    DownloadDVMPackage,
    DownloadDVMPackages,
    DownloadSapforPackage,
    //->
    TestPass,
    SPF_InsertPrivateFromGUI,
    SPF_InsertPrivateArrayDirectives,
    SPF_RemoveSpfDirectives,
    SPF_RemoveDeadCode,
    ReplaceTestProject,
    ReplaceTestsFromFiles,
    CompareSapforPackages,
    CompareSapforPackageToEthalon,
    CreateDVMPackageFromCurrentProject,
    //--
    ShutdownTestingServer,
    StartTestingServer,
    PublishTestingServer,
    //---
    ShutdownComponentsServer,
    StartComponentsServer,
    PublishComponentsServer,
    //---
    SPF_InsertImplicitNone,
    CompileServerSapfor,
    ActualizeServerSapfors,
    ShowTestingServerFile,
    //--
    ShowSapforCompilationOut,
    ShowSapforCompilationErr,
    GetOldBugReports,
    //--
    ShowCurrentDVMConfigurationTests,
    SaveCurrentDVMConfiguration,
    StartSelectedDVMConfigurations,
    //--
    ShowCurrentSAPFORConfigurationTests,
    SaveCurrentSAPFORConfiguration,
    StartSelectedSAPFORConfigurations,
    CloneCurrentDVMConfiguration, //?
    PublishSapforSettings,
    EditSapforSettings,
    DeleteSapforSettings,
    PublishSapforSettingsCommand,
    EditSapforSettingsCommand,
    DeleteSapforSettingsCommand,
    PublishDVMSettings,
    EditDVMSettings,
    DeleteDVMSettings,
    CloneDVMSettings,
    CloneSapforSettings,
    SetSapforConfigurationEthalon,
    PauseDVMPackage,
    ResumeDVMPackage,
    JoinSapforTestingVersionsToGroup,
    RefreshDVMPackageResults,
    DetectSelectedTestsMinMaDim,
    ConfirmEmail,
    SynchronizeCredentials,
    PublishUserAccount,
    EditUserAccount,
    DeleteUserAccount,
    GetDVMPackageCredetials,
    ComponentsServerBackUp,
    TestingServerBackUp,
    CompareDVMRunTaskToEthalon,
    DropSapforConfigurationEthalon,
    RefreshSapforPackageResults,
    SPF_MoveOperators
    ;
    //--
    @Override
    public String getDescription() {
        switch (this) {
            case SPF_MoveOperators:
                return "Оптимальный порядок операторов";
            case SPF_InsertPrivateArrayDirectives:
                return "Анализ и вставка директив приватизации массивов";
            case CompareSapforPackageToEthalon:
                return "Сравнить пакет тестирования SAPFOR с эталоном";
            case SPF_RemoveSpfDirectives:
                return "Удаление SPF директив";
            case DeleteRemoteWorkspace:
                return "Удалить рабочее пространство пользователя";
            case CompareDVMRunTaskToEthalon:
                return "Сравнить с эталоном";
            case ComponentsServerBackUp:
                return "Создание резервной копии данных сервера компонент";
            case TestingServerBackUp:
                return "Создание резервной копии данных сервера компонент";
            case GetDVMPackageCredetials:
                return "Получение входных данных пакета тестирования DVM";
            case PublishUserAccount:
                return "Добавление учётной записи";
            case EditUserAccount:
                return "Редактирование учётной записи";
            case DeleteUserAccount:
                return "Удаление учётной записи";
            case SynchronizeCredentials:
                return "Синхронизация учётных записей";
            case ConfirmEmail:
                return "Подтверждение почты";
            case DetectSelectedTestsMinMaDim:
                return "Определить размерность тестов";
            case RefreshDVMPackageResults:
                return "Обновить результаты анализа пакета тестирования DVM";
            case RefreshSapforPackageResults:
                return "Обновить результаты анализа пакета тестирования SAPFOR";
            case JoinSapforTestingVersionsToGroup:
                return "Присоединить итоговые версии пакета тестирования SAPFOR к текущей группе тестов";
            case ResumeDVMPackage:
                return "Возобновить выполнение пакета тестировани DVM";
            case PauseDVMPackage:
                return "Поставить пакет тестирования DVM на паузу";
            case SetDefaultSapforProfile:
                return "Установить профиль SAPFOR по умолчанию";
            case UpdateSapforProperty:
                return "Изменить настройку SAPFOR";
            case Email:
                return "Рассылка по email";
            case SPF_RemoveDistArraysFromIO:
                return "Устранение конфликтов ввода вывода";
            case StartSelectedSAPFORConfigurations:
                return "Запустить отмеченные конфигурации";
            case ShowCurrentSAPFORConfigurationTests:
                return "Отметить группы и тесты, участвующие в текущей конфигурации";
            case StartSelectedDVMConfigurations:
                return "Запустить отмеченные конфигурации";
            case ShowCurrentDVMConfigurationTests:
                return "Отметить группы и тесты, участвующие в текущей конфигурации";
            case GetOldBugReports:
                return "Получить неиспользуемые баг репорты";
            case SPF_RenameIncludes:
                return "Переименование заголовочных файлов";
            case ShowSapforCompilationOut:
                return "Отобразить поток вывода сборки SAPFOR";
            case ShowSapforCompilationErr:
                return "Отобразить поток ошибок сборки SAPFOR";
            case ShowTestingServerFile:
                return "Отобразить файл сервера тестирования";
            case ActualizeServerSapfors:
                return "Проверить собираемые версии SAPFOR";
            case CompileServerSapfor:
                return "Собрать версию Sapfor";
            case PublishComponentsServer:
                return "Опубликовать сервер компонент и отчётов об ошибках";
            case StartComponentsServer:
                return "Запустить сервер компонент и отчётов об ошибках";
            case ShutdownComponentsServer:
                return "Остановить сервер компонент и отчётов об ошибках";
            //--
            case PublishTestingServer:
                return "Опубликовать тестовый сервер.";
            case SPF_InsertImplicitNone:
                return "Вставка оператора Implicit NONE";
            case StartTestingServer:
                return "Запустить тестовый сервер";
            case ShutdownTestingServer:
                return "Остановить тестовый сервер";
            case CreateDVMPackageFromCurrentProject:
                return "Тестировать текущий проект";
            case CompareSapforPackages:
                return "Сравнить пакеты задач SAPFOR";
            case ReplaceTestsFromFiles:
                return "Заменить тесты группы на выбранные файлы";
            case ReplaceTestProject:
                return "Заменить тестовый проект на текущий";
            case SPF_RemoveDeadCode:
                return "Удаление мертвого кода";
            case SPF_InsertPrivateFromGUI:
                return "Вставка директив приватизации";
            case CreateTestFromSelectedFiles:
                return "Создать тест из выделенных файлов";
            case DownloadSapforPackage:
                return "Синхронизация пакета SAPFOR";
            case DownloadDVMPackages:
                return "Синхронизация пакетов задач DVM";
            case AbortSapforPackage:
                return "Прервать пакет тестирования SAPFOR";
            case AbortDVMPackage:
                return "Прервать пакет тестирования DVM";
            case DownloadDVMPackage:
                return "Скачать пакет задач DVM";
            case ActualizePackages:
                return "Обновить пакеты задач";
            case ActualizeDVMPackages:
                return "Обновить пакеты тестирования DVM";
            case ActualizeSapforPackages:
                return "Обновить пакеты тестирования SAPFOR";
            case ExportDVMPackageToExcel:
                return "Экспорт пакета задач в Excel";
            case CreateGroupFromFiles:
                return "Создать группу из файлов в папке";
            case CreateTestsFromFiles:
                return "Добавить тесты из файлов к текущей группе";
            case CreateTestFromFile:
                return "Создать тест из файла";
            case SPF_RemoveComments:
                return "Удаление комментариев";
            case CreateTestFromProject:
                return "Создать тест из текущего проекта";
            case CreateTestFromDirectory:
                return "Создать тест из папки";
            case SPF_RemoveOmpDirectives:
                return "Удаление OpenMP директив";
            case CreateGroupFromDirectory:
                return "Создать группу тестов из папки";
            case UpdateProperty:
                return "Обновить параметр";
            case OpenSapforEtalonVersion:
                return "Открыть текущую эталонную версию SAPFOR как проект";
            case OpenSapforVersion:
                return "Открыть текущую версию SAPFOR как проект";
            case ShowAllParallelVariants:
                return "Отобразить все параллельные варианты";
            case ShowParallelVariantsCoverage:
                return "Отобразить минимальное покрытие параллельных вариантов";
            case ApplyProfile:
                return "Применить профиль";
            case SaveProfile:
                return "Сохранить текущие настройки SAPFOR как профиль";
            case SPF_SharedMemoryParallelization:
                return "Распараллеливание на общую память";
            case ResurrectComponentFromServer:
                return "Восстановление предыдущей версии компонента с сервера";
            case ResurrectComponent:
                return "Восстановление предыдущей версии компонента с этого компьютера";
            case GetComponentsBackupsFromServer:
                return "Получить список предыдущих версий компонент с сервера";
            case MassSelectArrays:
                return "Массовый выбор массивов";
            case CheckAccount:
                return "Проверка учётной записи";
            case DeleteSelectedFiles:
                return "Удалить отмеченные файлы проекта";
            case SetSelectedFilesLanguage:
                return "Установить язык для отмеченных файлов";
            case SetSelectedFilesStyle:
                return "Установить стиль для отмеченных файлов";
            case SetSelectedFilesType:
                return "Установить тип для отмеченных файлов";
            case DeleteDownloadedBugReports:
                return "Удалить загруженные отчёты об ошибках";
            case ExcludeSelectedFiles:
                return "Исключить из рассмотрения отмеченные файлы";
            case IncludeSelectedFiles:
                return "Включить в рассмотрение отмеченные файлы";
            case CreateTestsGroupFromSelectedVersions:
                return "Создать тесты из отмеченных версий, и опубликовать в текущей группе";
            case DeleteSelectedVersions:
                return "Удаление отмеченных версий";
            case SaveFunctionsGraphCoordinates:
                return "Сохранить координаты вершин графа процедур";
            case SPF_InsertDvmhRegions:
                return "Вставка DVMH-регионов";
            case SPF_ResolveCommonBlockConflicts:
                return "Разрешение конфликтов common блоков";
            case OpenProject:
                return "Открытие проекта (пакетный режим)";
            case CloseProject:
                return "Закрытие проекта (пакетный режим)";
            case SPF_PrivateRemoving:
                return "Удаление приватных переменных";
            case UpdateSelectedComponents:
                return "Обновить отмеченные компоненты";
            case DVMConvertProject:
                return "Конвертация проекта";
            case PrepareForModulesAssembly:
                return "Подготовка к сборке модулей";
            case CheckRemoteWorkspace:
                return "Проверка удалённой рабочей папки";
            case PublishRemoteWorkspace:
                return "Публикация удалённой рабочей папки";
            case ApplyCurrentFunction:
                return "Назначить текущую функцию по имени";
            case DownloadTaskTest:
                return "Загрузить тест текущей задачи";
            case PublishConfiguration:
                return "Опубликовать конфигурацию тестирования";
            case EditConfiguration:
                return "Просмотр/Редактирование конфигурацию тестирования";
            case SPF_GetMaxMinBlockDistribution:
                return "Определить размерность теста по DVM директивам";
            case RefreshDVMTests:
                return "Обновить DVM тесты";
            case PickCompilerEnvironmentsForTesting:
                return "Выбрать набор переменных окружения";
            case ShowCompilerVersion:
                return "Отобразить версию текущего компилятора";
            case ConvertCorrectnessTests:
                return "Конвертировать тесты из репозитория";
            case SPF_GetArrayDistributionOnlyRegions:
                return "Анализ областей распараллеливания";
            case SPF_GetGCovInfo:
                return "Показать покрытие GCOV";
            case GCOV:
                return "Обновить покрытие GCOV";
            case Precompilation:
                return "Предварительная компиляция на локальной машине";
            case SPF_GetArrayLinks:
                return "Получить связи между массивами";
            case SaveBugReportExecutor:
                return "Назначить исполнителя отчёта об ошибке";
            case SaveBugReportRecipients:
                return "Сохранить адресатов отчёта об ошибке";
            case AppendBugReportComment:
                return "Дополнить комментария отчёта об ошибке";
            case AppendBugReportDescription:
                return "Дополнить описание отчёта об ошибке";
            case SaveBugReportDescription:
                return "Сохранить описание отчёта об ошибке";
            case SaveBugReportComment:
                return "Сохранить комментарий отчёта об ошибке";
            case UpdateBugReportProgress:
                return "Обновить степень завершенности отчёта об ошибке";
            case OpenBugReport:
                return "Открытие отчёта об ошибке";
            case CloseBugReport:
                return "Закрытие отчёта об ошибке";
            case CopyProject:
                return "Копирование проекта";
            case PickCompilerEnvironments:
                return "Выбор переменных окружения DVM компилятора";
            case PickCompilerOptions:
                return "Выбор опций DVM компилятора";
            case WindowsLocalCompilation:
                return "Компиляция на локальной машине (Windows)";
            case WindowsLocalRun:
                return "Запуск на локальной машине (Windows)";
            case LocalSingleCommand:
                return "Одиночная команда на локальной машине";
            case RemoteSingleCommand:
                return "Одиночная команда на удаленной машине";
            case LocalInitaliseUser:
                return "Инициализация пользователя на локальной машине";
            case RemoteInitialiseUser:
                return "Инициализация пользователя на удаленной машине";
            case MakeScreenShot:
                return "Сделать скриншот";
            case SynchronizeTests:
                return "Синхронизация Базы данных групп тестов";
            case DownloadTest:
                return "Загрузить тест";
            case ArchivesBackupPass:
                return "Бэкап архивов журнала ошибок";
            case ShowInstruction:
                return "Показать инструкцию";
            case DownloadAllBugReportsArchives:
                return "Скачать все архивы";
            case CleanAnalyses:
                return "Очистка анализов";
            case DropFastAccess:
                return "Сброс панели быстрого доступа";
            case DropLastProjects:
                return "Сброс списка последних открытых проектов";
            case OpenCurrentProject:
                return "Открытие проекта";
            case CloseCurrentProject:
                return "Закрытие проекта";
            case DropAnalyses:
                return "Сброс актуальности анализов";
            case DeleteLonelyM:
                return "Удаление бесхозных копий";
            case DeleteSubversions:
                return "Удаление всех подверсий текущего проекта";
            case DeleteDebugResults:
                return "Очистка результатов компиляции и запуска";
            case ResetCurrentProject:
                return "Полная очистка проекта";
            case CreateEmptyProject:
                return "Создание проекта";
            case DeleteVersion:
                return "Удаление версии";
            case OpenCurrentFile:
                return "Открытие файла";
            case CloseCurrentFile:
                return "Закрытие файла";
            case Save:
                return "Сохранение файла";
            case AddFile:
                return "Добавление файла";
            case RenameFile:
                return "Переименование файла";
            case IncludeFile:
                return "Включение в рассмотрение файла";
            case ExcludeFile:
                return "Исключение из рассмотрения файла";
            case DeleteFile:
                return "Удаление файла";
            case ImportFiles:
                return "Добавление внешних файлов";
            case CreateEmptyDirectory:
                return "Создание пустой папки";
            case RenameDirectory:
                return "Переименование папки";
            case DeleteDirectory:
                return "Удаление папки";
            case SPF_ParseFilesWithOrder:
                return "Синтаксический анализ";
            case SPF_GetFileLineInfo:
                return "Метрика кода";
            case SPF_GetIncludeDependencies:
                return "Поиск зависимостей по включению";
            case SPF_GetGraphLoops:
                return "Граф циклов";
            case SPF_GetGraphFunctions:
                return "Граф процедур";
            case SPF_GetGraphFunctionPositions:
                return "Координаты графа процедур";
            case SPF_LoopUnrolling:
                return "Разворачивание циклов";
            case SPF_GetAllDeclaratedArrays:
                return "Объявления массивов";
            case SPF_GetArrayDistributionOnlyAnalysis:
                return "Анализ кода";
            case SPF_GetArrayDistribution:
                return "Распределение данных";
            case SPF_CorrectCodeStylePass:
                return "Коррекция стиля кода";
            case SPF_CreateIntervalsTree:
                return "Построение полной системы интервалов";
            case SPF_RemoveDvmDirectives:
                return "Очистка DVM директив";
            case SPF_RemoveDvmDirectivesToComments:
                return "Комментирование DVM директив";
            case SPF_ResolveParallelRegionConflicts:
                return "Разрешение конфликтов областей";
            case SPF_LoopEndDoConverterPass:
                return "Преобразование циклов в DO-ENDDO";
            case SPF_LoopFission:
                return "Разделение циклов";
            case SPF_LoopUnion:
                return "Слияние циклов";
            case SPF_PrivateShrinking:
                return "Сужение приватных переменных";
            case SPF_PrivateExpansion:
                return "Расширение приватных переменных";
            case SPF_RemoveDvmIntervals:
                return "Очистка DVM интервалов";
            case SPF_DuplicateFunctionChains:
                return "Дублирование цепочек вызовов";
            case SPF_InitDeclsWithZero:
                return "Дополнение инициализации переменных";
            case SPF_RemoveUnusedFunctions:
                return "Удаление неиспользуемых процедур";
            case SPF_CreateCheckpoints:
                return "Построение контрольных точек";
            case SPF_ConvertStructures:
                return "Конвертация производных типов данных";
            case CombineFiles:
                return "Слияние файлов";
            case EraseBadSymbols:
                return "Очистка некорректных символов";
            case GenerateParallelVariants:
                return "Генерация параллельных вариантов";
            case PredictParallelVariants:
                return "Оценка выбранных параллельных вариантов";
            case SPF_PredictParallelVariant:
                return "Оценка параллельного варианта";
            case CreateParallelVariants:
                return "Построение параллельных вариантов";
            case SPF_CreateParallelVariant:
                return "Построение параллельного варианта";
            case SPF_InlineProceduresH:
                return "Иерархическая подстановка процедур";
            case SPF_InlineProcedures:
                return "Точечная подстановка процедур";
            case SPF_InsertIncludesPass:
                return "Подстановка заголовочных файлов";
            case SPF_LoopUnionCurrent:
                return "Объединение текущего цикла";
            case SPF_ExpressionSubstitution:
                return "Подстановка выражений";
            case SPF_ChangeSpfIntervals:
                return "Изменение области распараллеливания";
            case SPF_InlineProcedure:
                return "Выборочная подстановка процедуры";
            case SPF_ModifyArrayDistribution:
                return "Изменение распределения данных";
            case SPF_StatisticAnalyzer:
                return "Распаковка DVM статистики";
            case RestoreSavedArrays:
                return "Восстановление сохраненного распределения массивов";
            case DropSavedArrays:
                return "Сброс сохраненных массивов";
            case SynchronizeBugReports:
                return "Синхронизация журнала ошибок";
            case ZipFolderPass:
                return "Архивация папки";
            case UnzipFolderPass:
                return "Распаковка папки";
            case DeleteBugReportFromServer:
                return "Удаление отчёта об ошибке с сервера";
            case PublishBugReport:
                return "Публикация отчёта об ошибке";
            case ExtractRecipients:
                return "Извлечение адресатов";
            case GetComponentsActualVersions:
                return "Получение актуальных версий компонент";
            case PublishComponent:
                return "Публикация компонента";
            case CreateComponentBackUp:
                return "Создание копии предыдущей версии компонента";
            case InstallComponentFromFolder:
                return "Установка компонента из целевой папки";
            case DownloadComponent:
                return "Скачивание компонента с сервера";
            case ShowComponentChangesLog:
                return "Отображение журнала изменений компонента";
            case UpdateComponent:
                return "Обновление компонента";
            case BuildComponent:
                return "Сборка компонента";
            case DownloadSapforRepository:
                return "Загрузка репозитория SAPFOR";
            case DownloadDvmTestsRepository:
                return "Загрузка репозитория DVM тестов";
            case SaveGraph:
                return "Сделать скриншот графа функций";
            case ApplyBugReportSettings:
                return "Применение настроек отчёта об ошибке";
            case DownloadBugReport:
                return "Загрузка тестового проекта с сервера";
            case UpdateBugReportField:
                return "Обновление поля отчёта об ошибке";
            case AppendBugReportField:
                return "Дополнение поля отчёта об ошибке";
            case ShowMakefilePreview:
                return "Предпросмотр мейкфайла";
            case DownloadProject:
                return "Скачивание проекта";
            case InitialiseUser:
                return "Инициализация пользователя";
            case TestPass:
                return "Отладка";
            case Run:
                return "Запуск";
            case Compile:
                return "Компиляция";
            case SelectRemoteFile:
                return "Выбор удалённого файла/папки";
            case MVSRun:
                return "Запуск на MVS кластере";
            case ServerRun:
                return "Запуск на удалённом сервере";
            case RemoteCompilation:
                return "Компиляция на удалённой машине";
            //----------------------------------------------------
            case LinuxLocalCompilation:
                return "Компиляция на локальной машине (Linux)";
            case LinuxLocalRun:
                return "Запуск на локальной машине (Linux)";
            //-
            case EditProjectCompilationMaxtime:
                return "Изменить максимальное допустимое время компиляции";
            case EditProjectRunMaxtime:
                return "Изменить максимальное допустимое время запуска";
            //-
            case OpenBugReportTestProject:
                return "Открыть тестовый проект";
            //-
            default:
                return toString();
        }
    }
    //----------------------------------------->>
    public String getTestingCommand() {
        String p = "-passN";
        String name = "?";
        switch (this) {
            case SPF_CorrectCodeStylePass: //+
                name = "CORRECT_CODE_STYLE";
                break;
            case SPF_RenameIncludes:
                name = "RENAME_INLCUDES";
                break;
            //--
            case SPF_RemoveDvmDirectives: //+
                name = "REMOVE_DVM_DIRS";
                break;
            case SPF_RemoveDvmDirectivesToComments: //+
                name = "REMOVE_DVM_DIRS_TO_COMMENTS";
                break;
            case SPF_CreateCheckpoints: //+
                name = "CREATE_CHEKPOINTS";
                break;
            case SPF_CreateIntervalsTree: //+
                name = "INSERT_INTER_TREE";
                break;
            case SPF_RemoveDvmIntervals: //+
                name = "REMOVE_DVM_INTERVALS";
                break;
            case SPF_LoopEndDoConverterPass: //+
                name = "CONVERT_TO_ENDDO";
                break;
            case SPF_LoopUnion: //+
                name = "LOOPS_COMBINER";
                break;
            case SPF_LoopFission: //+
                name = "LOOPS_SPLITTER";
                break;
            //--
            case SPF_PrivateShrinking: //+
                name = "PRIVATE_ARRAYS_SHRINKING";
                break;
            case SPF_PrivateExpansion://+
                name = "PRIVATE_ARRAYS_EXPANSION";
                break;
            case SPF_PrivateRemoving://+
                name = "PRIVATE_REMOVING";
                break;
            case SPF_InsertPrivateArrayDirectives:
                name="FIND_PRIVATE_ARRAYS";
                break;
            //-
            case SPF_ResolveParallelRegionConflicts://+
                name = "RESOLVE_PAR_REGIONS";
                break;
            case SPF_RemoveUnusedFunctions://+
                name = "REMOVE_UNUSED_FUNCTIONS";
                break;
            case SPF_DuplicateFunctionChains://+
                name = "DUPLICATE_FUNCTIONS";
                break;
            //--
            case SPF_InitDeclsWithZero://+
                name = "SET_TO_ALL_DECL_INIT_ZERO";
                break;
            case SPF_ConvertStructures://+
                name = "CONVERT_STRUCTURES_TO_SIMPLE";
                break;
            //--
            case SPF_SharedMemoryParallelization://+
                name = "INSERT_PARALLEL_DIRS_NODIST";
                break;
            case SPF_InsertDvmhRegions://+
                name = "INSERT_REGIONS";
                break;
            case SPF_ExpressionSubstitution://+
                name = "SUBST_EXPR_RD_AND_UNPARSE";
                break;
            case SPF_ResolveCommonBlockConflicts://+
                name = "FIX_COMMON_BLOCKS";
                break;
            case SPF_GetMaxMinBlockDistribution: //?
                name = "GET_MIN_MAX_BLOCK_DIST";
                break;
            case SPF_InsertIncludesPass://+
                name = "INSERT_INCLUDES -includeAll";
                break;
            case SPF_InsertImplicitNone://+
                name = "SET_IMPLICIT_NONE";
                break;
            case SPF_RemoveOmpDirectives:
                name = "REMOVE_OMP_DIRS_TRANSFORM";
                break;
            case SPF_RemoveComments:
                name = "REMOVE_COMMENTS";
                break;
            case SPF_RemoveDeadCode:
                name = "REMOVE_DEAD_CODE_AND_UNPARSE";
                break;
            case SPF_RemoveDistArraysFromIO:
                name = "REMOVE_DIST_ARRAYS_FROM_IO";
                break;
            case SPF_MoveOperators:
                name = "MOVE_OPERATORS";
                break;
        }
        return p + " " + name;
    }
    public boolean isSapforStart() {
        switch (this) {
            case SPF_InsertIncludesPass:
                return true;
            default:
                return false;
        }
    }
    public boolean isSapforTerminal() {
        switch (this) {
            case CreateParallelVariants:
            case SPF_SharedMemoryParallelization:
            case SPF_InsertDvmhRegions:
                return true;
            default:
                return false;
        }
    }
}

